org.apache.olingo.odata2.api.edm.provider

## Class PropertyRef

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.PropertyRef

-     public class PropertyRef
      extends Object

  Objects of this class represent a reference to a property via its name

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyRef()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `String` | `getName()`
    `PropertyRef` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the List of `AnnotationAttribute` for this `PropertyRef`
    `PropertyRef` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the List of `AnnotationElement` for this `PropertyRef`
    `PropertyRef` | `setName(String name)` Sets the name of the `Property` this `PropertyRef` is pointing to

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyRef

          public PropertyRef()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        String name of the `Property` this `PropertyRef` is referencing to

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        List of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        List of `AnnotationElement` annotation elements

    - #### setName

          public PropertyRef setName(String name)

      Sets the name of the `Property` this `PropertyRef` is pointing to
      Parameters:
        `name` -
      Returns:
        `PropertyRef` for method chaining

    - #### setAnnotationAttributes

          public PropertyRef setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the List of `AnnotationAttribute` for this `PropertyRef`
      Parameters:
        `annotationAttributes` -
      Returns:
        `PropertyRef` for method chaining

    - #### setAnnotationElements

          public PropertyRef setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the List of `AnnotationElement` for this `PropertyRef`
      Parameters:
        `annotationElements` -
      Returns:
        `PropertyRef` for method chaining

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.